
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderpayrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for ImageUnitListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="ImageUnitListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Inch"/&amp;gt;
 *     &amp;lt;enumeration value="Millimeter"/&amp;gt;
 *     &amp;lt;enumeration value="Pixel"/&amp;gt;
 *     &amp;lt;enumeration value="Point"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "ImageUnitListType")
@XmlEnum
public enum ImageUnitListType {

    @XmlEnumValue("Inch")
    INCH("Inch"),
    @XmlEnumValue("Millimeter")
    MILLIMETER("Millimeter"),
    @XmlEnumValue("Pixel")
    PIXEL("Pixel"),
    @XmlEnumValue("Point")
    POINT("Point"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    ImageUnitListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ImageUnitListType fromValue(String v) {
        for (ImageUnitListType c: ImageUnitListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
